const { api, mapApi, payApi,imgName, getUserInfo, wxLogin, alertTip, authAgainByUser, userLocation } = require('../../lib/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgPerson: imgName('logo.png'),
    valiateDate:'',
    phone:'',
    feeList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const phone = wx.getStorageSync('user').userMapp.mobile.replace(/(\d{3})(\d{4})(\d{3})/, '$1****$3')
    this.setData({
      phone
    })
    api.get('orderPackage/getList')
      .then(res=>{
        this.setData({
          feeList:res.items
        })
      })
      .catch(err=>{
        alertTip(err)
      })
  },
  buyServer(e){
    const id = e.currentTarget.id
    api.get('order/add', { orderPackageId:id})
      .then(res=>{
        console.log(res)
        this.pay(res.data.id)
      })
      .catch(err=>{
        alertTip(err)
      })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },
  pay(orderId){
    wxLogin()
      .then(code => {
        payApi.get('getOpenId', {
          code,
          typeGy: 'gy'
        })
          .then(res => {
            console.log(res)
            let openId = res.openId
            payApi.post('miniAppIdCardNumberOrder', {
              openId,
              orderId,
              typeGy:'gy'
            })
              .then(res => {
                console.log(res)
                let { timeStamp, nonce_str: nonceStr, signType, prepay_id, paySign } = res
                //统一下单了
                wx.requestPayment({
                  timeStamp,
                  nonceStr,
                  'package': prepay_id,
                  'signType': 'MD5',
                  paySign,
                  'success': function (res) {
                    alertTip('支付成功', function () {
                      wx.navigateBack()
                    })
                  },
                  'fail': function (res) {
                    console.error(res)
                  }
                })
              })
              .catch(err => {
                alertTip(err.err_code_des || err.return_msg)
                console.error(err)
              })
          })
          .catch(err => {
            alertTip(err.remark)
            console.error('openid', err)
          })
      })
      .catch(err => {
        console.error(err)
      })

  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  }
})